use salvo::prelude::*;
use crate::database::get_nodes_as_html_tabe;

#[handler]
async fn homepage() -> String {
    get_nodes_as_html_tabe()
}

pub async fn start() {
    let acceptor = TcpListener::new("0.0.0.0:5800").bind().await;
    let router = Router::new().get(homepage);
    println!("{:?}", router);
    Server::new(acceptor).serve(router).await;
}
